net.fortuna.ical4j.util

## Class ComponentValidator

- java.lang.Object
- - net.fortuna.ical4j.util.ComponentValidator

    public final class ComponentValidator
    extends Object

Author:
  Ben

### Method Summary

Methods
`static void` `assertNone(String componentName, ComponentList components)`
`static void` `assertOneOrLess(String componentName, ComponentList components)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### assertNone

    public static void assertNone(String componentName,
                  ComponentList components)
                           throws ValidationException

Parameters:
  `componentName` - a component name used in the assertion
  `components` - a list of components
Throws:
  `ValidationException` - where the assertion fails

#### assertOneOrLess

    public static void assertOneOrLess(String componentName,
                       ComponentList components)
                                throws ValidationException

Parameters:
  `componentName` - a component name used in the assertion
  `components` - a list of components
Throws:
  `ValidationException` - where the assertion fails